> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a course evaluation question set



## OpenAPI

````yaml /openapi.json post /api/v1/course_evaluation_question_sets
openapi: 3.1.0
info:
  title: Scholarly API V1
  version: v1
  description: API for accessing Scholarly data
  license:
    name: Proprietary
    identifier: Proprietary
servers:
  - url: https://api.scholarlysoftware.com
    description: Production server
security: []
paths:
  /api/v1/course_evaluation_question_sets:
    post:
      tags:
        - Course Evaluation Question Sets
      summary: Create a course evaluation question set
      operationId: createCourseEvaluationQuestionSet
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Bearer token
          schema:
            type: string
      requestBody:
        content:
          application/vnd.api+json:
            schema:
              $ref: '#/components/schemas/CreateCourseEvaluationQuestionSet'
      responses:
        '201':
          description: course evaluation question set created
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/CourseEvaluationQuestionSet'
                required:
                  - data
        '401':
          description: unauthorized
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: forbidden
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '422':
          description: validation error
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/ValidationError'
      security:
        - bearer_auth: []
components:
  schemas:
    CreateCourseEvaluationQuestionSet:
      type: object
      properties:
        data:
          type: object
          properties:
            type:
              type: string
              const: course_evaluation_question_set
              example: course_evaluation_question_set
            attributes:
              type: object
              properties:
                name:
                  type: string
                  example: Standard Course Questions
                kind:
                  type: string
                  enum:
                    - core
                    - conditional
                description:
                  type:
                    - string
                    - 'null'
                  description: >-
                    Rich text (minimal HTML) shown to students above every
                    section of the set
                draft:
                  type: boolean
                  description: >-
                    Set false to publish; setting back to true requires the set
                    to be unattached
              required:
                - name
            relationships:
              type: object
              properties: {}
          required:
            - type
            - attributes
      required:
        - data
    CourseEvaluationQuestionSet:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: course_evaluation_question_set
          example: course_evaluation_question_set
        attributes:
          type: object
          properties:
            created_at:
              type: string
              format: datetime
            updated_at:
              type: string
              format: datetime
            name:
              type: string
              example: Standard Course Questions
            kind:
              type: string
              enum:
                - core
                - conditional
            description:
              type:
                - string
                - 'null'
              description: >-
                Rich text (minimal HTML) shown to students above every section
                of the set
            draft:
              type: boolean
              description: >-
                Set false to publish; setting back to true requires the set to
                be unattached
            status:
              type: string
              enum:
                - draft
                - active
                - inactive
              description: >-
                active when attached to any evaluation period, inactive when
                attachable but unattached
        relationships:
          type: object
          properties:
            sections:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type:
                        - string
                        - 'null'
                      format: uri
                  required:
                    - related
                meta:
                  type: object
                data:
                  type: array
                  items:
                    type: object
                    required:
                      - type
                      - id
                    properties:
                      type:
                        type: string
                        const: course_evaluation_question_set_section
                        example: course_evaluation_question_set_section
                      id:
                        type: string
                        format: uuid
                  description: Ordered as presented to students
              anyOf:
                - required:
                    - links
                - required:
                    - meta
                - required:
                    - data
            evaluation_periods:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type:
                        - string
                        - 'null'
                      format: uri
                  required:
                    - related
                meta:
                  type: object
                data:
                  type: array
                  items:
                    type: object
                    required:
                      - type
                      - id
                    properties:
                      type:
                        type: string
                        const: course_evaluation_period
                        example: course_evaluation_period
                      id:
                        type: string
                        format: uuid
              anyOf:
                - required:
                    - links
                - required:
                    - meta
                - required:
                    - data
      required:
        - id
        - type
        - attributes
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
              title:
                type: string
              detail:
                type: string
            required:
              - status
              - title
      required:
        - errors
    ValidationError:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
                example: '422'
              title:
                type: string
                example: Validation Error
              detail:
                type: string
                example: Label can't be blank
            required:
              - status
              - title
              - detail
      required:
        - errors
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.